Bug 21545 - Update German web Installer for 18.11
Summary: Update German web Installer for 18.11
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: 18.11
Assignee: Katrin Fischer
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-10 22:24 UTC by Katrin Fischer
Modified: 2019-04-18 12:06 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21545: Translate 'Stock rotation slip' (26.36 KB, patch)
2018-12-18 23:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German (4.06 KB, patch)
2018-12-18 23:38 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German (4.12 KB, patch)
2019-04-11 05:34 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 21545: Translate 'Stock rotation slip' (26.48 KB, patch)
2019-04-15 15:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German (4.18 KB, patch)
2019-04-15 15:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-10-10 22:24:13 UTC
The same procedure as every release...check sample files for missing values and translations.
Comment 1 Katrin Fischer 2018-12-18 22:33:18 UTC
Splitting rules added by bug 22024
Comment 2 Katrin Fischer 2018-12-18 23:37:22 UTC
Created attachment 83376 [details] [review]
Bug 21545: Translate 'Stock rotation slip'

Throwing in some capitalization fixes for the English
version of the notice as well.

To test:
- Verify the changes make sense and the SQL is still valid
  and executes
Comment 3 Katrin Fischer 2018-12-18 23:38:03 UTC
Created attachment 83377 [details] [review]
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German

To test:
- Apply patch
- Run the German web installer
- Verify the sample notices installs without error
- Verify it looks 'German' in the GUI :)
Comment 4 Hayley Mapley 2019-04-11 05:34:50 UTC
Created attachment 87749 [details] [review]
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German

To test:
- Apply patch
- Run the German web installer
- Verify the sample notices installs without error
- Verify it looks 'German' in the GUI :)

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 5 Hayley Mapley 2019-04-11 05:40:06 UTC
(In reply to Katrin Fischer from comment #2)
> Created attachment 83376 [details] [review] [review]
> Bug 21545: Translate 'Stock rotation slip'
> 
> Throwing in some capitalization fixes for the English
> version of the notice as well.
> 
> To test:
> - Verify the changes make sense and the SQL is still valid
>   and executes

Couldn't figure out how to amend this commit, but I followed the test plan for it so please consider both patches signed off!
Comment 6 Katrin Fischer 2019-04-11 08:36:02 UTC
Hi Hayley, thx a lot for testing!

There are some tricks to make sighing off multiple patches super easy:
https://wiki.koha-community.org/wiki/Tips_and_tricks

In my devbox it's git so2 2 (sign-off last 2 patches, without running tests)
Comment 7 Hayley Mapley 2019-04-11 20:36:49 UTC
(In reply to Katrin Fischer from comment #6)
> Hi Hayley, thx a lot for testing!
> 
> There are some tricks to make sighing off multiple patches super easy:
> https://wiki.koha-community.org/wiki/Tips_and_tricks
> 
> In my devbox it's git so2 2 (sign-off last 2 patches, without running tests)

Thank you very much Katrin, that's very useful!
Comment 8 Martin Renvoize 2019-04-15 15:58:49 UTC
Created attachment 88023 [details] [review]
Bug 21545: Translate 'Stock rotation slip'

Throwing in some capitalization fixes for the English
version of the notice as well.

To test:
- Verify the changes make sense and the SQL is still valid
  and executes

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2019-04-15 15:58:52 UTC
Created attachment 88024 [details] [review]
Bug 21545: Translate new ACCOUNT_PAYMENT and ACCOUNT_WRITEOFF notices to German

To test:
- Apply patch
- Run the German web installer
- Verify the sample notices installs without error
- Verify it looks 'German' in the GUI :)

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2019-04-15 15:59:23 UTC
Simple translation fix.. works for me.. Passing QA
Comment 11 Nick Clemens 2019-04-18 12:06:40 UTC
Awesome work all!

Pushed to master for 19.05